import jaggl.OpenGL;

public class Class275_Sub2 extends Class275 implements Interface36 {

   int anInt8160;
   int anInt8161;


   public void method189(int var1, int var2, int var3, int var4, int[] var5, int var6) {
      int[] var7 = new int[this.anInt8161 * this.anInt8160];
      this.aClass545_Sub2_Sub2_3197.method15051(this);
      OpenGL.glGetTexImagei(this.anInt3194, 0, '\u80e1', 5121, var7, 0);

      for(int var8 = 0; var8 < var4; ++var8) {
         System.arraycopy(var7, (var2 + (var4 - 1) - var8) * this.anInt8161, var5, var6 + var8 * var3, var3);
      }

   }

   Class275_Sub2(Class545_Sub2_Sub2 var1, int var2, int var3, int[] var4, int var5, int var6) {
      super(var1, '\u84f5', Class98.aClass98_992, Class91.aClass91_897, var2 * var3, false);
      this.anInt8161 = var2;
      this.anInt8160 = var3;
      this.aClass545_Sub2_Sub2_3197.method15051(this);
      OpenGL.glPixelStorei(3314, var6);
      OpenGL.glTexImage2Di(this.anInt3194, 0, 6408, this.anInt8161, this.anInt8160, 0, '\u80e1', this.aClass545_Sub2_Sub2_3197.anInt10354, var4, var5 * 4);
      OpenGL.glPixelStorei(3314, 0);
   }

   public void method225(Class353 var1) {
      super.method224(var1);
   }

   Class275_Sub2(Class545_Sub2_Sub2 var1, Class98 var2, int var3, int var4, float[] var5, int var6, int var7) {
      super(var1, '\u84f5', var2, Class91.aClass91_902, var3 * var4, false);
      this.anInt8161 = var3;
      this.anInt8160 = var4;
      this.aClass545_Sub2_Sub2_3197.method15051(this);
      OpenGL.glPixelStorei(3314, var7);
      OpenGL.glTexImage2Df(this.anInt3194, 0, Class545_Sub2_Sub2.method15914(this.aClass98_3195, this.aClass91_3196), var3, var4, 0, Class545_Sub2_Sub2.method15913(this.aClass98_3195), 5126, var5, var6 * 4);
      OpenGL.glPixelStorei(3314, 0);
   }

   public Interface7 method223(int var1) {
      return new Class266(this, var1);
   }

   public int method35() {
      return this.anInt8160;
   }

   public void method187(boolean var1, boolean var2) {}

   public float method185(float var1) {
      return var1;
   }

   Class275_Sub2(Class545_Sub2_Sub2 var1, Class98 var2, int var3, int var4, byte[] var5, int var6, int var7) {
      super(var1, '\u84f5', var2, Class91.aClass91_897, var3 * var4, false);
      this.anInt8161 = var3;
      this.anInt8160 = var4;
      this.aClass545_Sub2_Sub2_3197.method15051(this);
      OpenGL.glPixelStorei(3317, 1);
      OpenGL.glPixelStorei(3314, var7);
      OpenGL.glTexImage2Dub(this.anInt3194, 0, Class545_Sub2_Sub2.method15914(this.aClass98_3195, this.aClass91_3196), var3, var4, 0, Class545_Sub2_Sub2.method15913(this.aClass98_3195), 5121, var5, var6);
      OpenGL.glPixelStorei(3314, 0);
      OpenGL.glPixelStorei(3317, 4);
   }

   public void method9() {
      super.method10();
   }

   public boolean method186() {
      return false;
   }

   public void method203(boolean var1, boolean var2) {}

   public void method200(int var1, int var2, int var3, int var4, int[] var5, int var6, int var7) {
      if(var7 == 0) {
         var7 = var3;
      }

      this.aClass545_Sub2_Sub2_3197.method15051(this);
      if(var3 != var7) {
         OpenGL.glPixelStorei(3314, var7);
      }

      OpenGL.glTexSubImage2Di(this.anInt3194, 0, var1, var2, var3, var4, '\u80e1', this.aClass545_Sub2_Sub2_3197.anInt10354, var5, var6);
      if(var3 != var7) {
         OpenGL.glPixelStorei(3314, 0);
      }

   }

   public void method205(int var1, int var2, int var3, int var4, byte[] var5, Class98 var6, int var7, int var8) {
      if(var8 == 0) {
         var8 = var3;
      }

      this.aClass545_Sub2_Sub2_3197.method15051(this);
      OpenGL.glPixelStorei(3317, 1);
      if(var8 != var3) {
         OpenGL.glPixelStorei(3314, var8);
      }

      OpenGL.glTexSubImage2Dub(this.anInt3194, 0, var1, var2, var3, var4, Class545_Sub2_Sub2.method15913(var6), 5121, var5, var7);
      if(var8 != var3) {
         OpenGL.glPixelStorei(3314, 0);
      }

      OpenGL.glPixelStorei(3317, 4);
   }

   public int method194() {
      return this.anInt8160;
   }

   public Interface7 method222(int var1) {
      return new Class266(this, var1);
   }

   public float method184(float var1) {
      return var1;
   }

   public void method210(int var1, int var2, int var3, int var4, int[] var5, int var6, int var7) {
      if(var7 == 0) {
         var7 = var3;
      }

      this.aClass545_Sub2_Sub2_3197.method15051(this);
      if(var3 != var7) {
         OpenGL.glPixelStorei(3314, var7);
      }

      OpenGL.glTexSubImage2Di(this.anInt3194, 0, var1, var2, var3, var4, '\u80e1', this.aClass545_Sub2_Sub2_3197.anInt10354, var5, var6);
      if(var3 != var7) {
         OpenGL.glPixelStorei(3314, 0);
      }

   }

   Class275_Sub2(Class545_Sub2_Sub2 var1, Class98 var2, Class91 var3, int var4, int var5) {
      super(var1, '\u84f5', var2, var3, var4 * var5, false);
      this.anInt8161 = var4;
      this.anInt8160 = var5;
      this.aClass545_Sub2_Sub2_3197.method15051(this);
      OpenGL.glTexImage2Dub(this.anInt3194, 0, Class545_Sub2_Sub2.method15914(this.aClass98_3195, this.aClass91_3196), var4, var5, 0, Class545_Sub2_Sub2.method15913(this.aClass98_3195), Class545_Sub2_Sub2.method15912(this.aClass91_3196), (byte[])null, 0);
   }

   public void method10() {
      super.method10();
   }

   public void method8() {
      super.method10();
   }

   public float method191() {
      return 1.0F;
   }

   public int method94() {
      return this.anInt8161;
   }

   public void method228() {
      super.method228();
   }

   public float method190() {
      return 1.0F;
   }

   public int method195() {
      return this.anInt8160;
   }

   public int method176() {
      return this.anInt8160;
   }

   public float method193(float var1) {
      return var1;
   }

   public float method197(float var1) {
      return var1;
   }

   public void method226() {
      super.method228();
   }

   public boolean method199() {
      return false;
   }

   public void method206(boolean var1, boolean var2) {}

   public void method202(boolean var1, boolean var2) {}

   public boolean method209() {
      return super.method209();
   }

   public int method95() {
      return this.anInt8161;
   }

   public void method204(int var1, int var2, int var3, int var4, byte[] var5, Class98 var6, int var7, int var8) {
      if(var8 == 0) {
         var8 = var3;
      }

      this.aClass545_Sub2_Sub2_3197.method15051(this);
      OpenGL.glPixelStorei(3317, 1);
      if(var8 != var3) {
         OpenGL.glPixelStorei(3314, var8);
      }

      OpenGL.glTexSubImage2Dub(this.anInt3194, 0, var1, var2, var3, var4, Class545_Sub2_Sub2.method15913(var6), 5121, var5, var7);
      if(var8 != var3) {
         OpenGL.glPixelStorei(3314, 0);
      }

      OpenGL.glPixelStorei(3317, 4);
   }

   public void method201(int var1, int var2, int var3, int var4, byte[] var5, Class98 var6, int var7, int var8) {
      if(var8 == 0) {
         var8 = var3;
      }

      this.aClass545_Sub2_Sub2_3197.method15051(this);
      OpenGL.glPixelStorei(3317, 1);
      if(var8 != var3) {
         OpenGL.glPixelStorei(3314, var8);
      }

      OpenGL.glTexSubImage2Dub(this.anInt3194, 0, var1, var2, var3, var4, Class545_Sub2_Sub2.method15913(var6), 5121, var5, var7);
      if(var8 != var3) {
         OpenGL.glPixelStorei(3314, 0);
      }

      OpenGL.glPixelStorei(3317, 4);
   }

   public void method224(Class353 var1) {
      super.method224(var1);
   }

   public void method207(int var1, int var2, int var3, int var4, int[] var5, int var6) {
      int[] var7 = new int[this.anInt8161 * this.anInt8160];
      this.aClass545_Sub2_Sub2_3197.method15051(this);
      OpenGL.glGetTexImagei(this.anInt3194, 0, '\u80e1', 5121, var7, 0);

      for(int var8 = 0; var8 < var4; ++var8) {
         System.arraycopy(var7, (var2 + (var4 - 1) - var8) * this.anInt8161, var5, var6 + var8 * var3, var3);
      }

   }

   public void method208(int var1, int var2, int var3, int var4, int[] var5, int var6) {
      int[] var7 = new int[this.anInt8161 * this.anInt8160];
      this.aClass545_Sub2_Sub2_3197.method15051(this);
      OpenGL.glGetTexImagei(this.anInt3194, 0, '\u80e1', 5121, var7, 0);

      for(int var8 = 0; var8 < var4; ++var8) {
         System.arraycopy(var7, (var2 + (var4 - 1) - var8) * this.anInt8161, var5, var6 + var8 * var3, var3);
      }

   }

   public float method196() {
      return 1.0F;
   }

   public float method192() {
      return 1.0F;
   }

   public boolean method211() {
      return super.method209();
   }

   public boolean method212() {
      return super.method209();
   }

   public boolean method213() {
      return super.method209();
   }

   public void method188(int var1, int var2, int var3, int var4, int[] var5, int var6) {
      int[] var7 = new int[this.anInt8161 * this.anInt8160];
      this.aClass545_Sub2_Sub2_3197.method15051(this);
      OpenGL.glGetTexImagei(this.anInt3194, 0, '\u80e1', 5121, var7, 0);

      for(int var8 = 0; var8 < var4; ++var8) {
         System.arraycopy(var7, (var2 + (var4 - 1) - var8) * this.anInt8161, var5, var6 + var8 * var3, var3);
      }

   }

   public void method227() {
      super.method228();
   }

   public int method30() {
      return this.anInt8161;
   }

   public float method198(float var1) {
      return var1;
   }
}
